Bug 1285980 - Some parameters value display as N/A on 'Discovery Status' screen while performing unattended pxe-less discovery
Some parameters value display as N/A on 'Discovery Status' screen while perfo...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Discovery Plugin (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Lukas Zapletal
Sachin Ghai
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 01:54 EST by Sachin Ghai
Modified: 2017-05-24 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-24 04:42:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Some parameters value display as N/A on 'Discovery Status' screen (24.27 KB, image/png)
2015-11-27 01:54 EST, Sachin Ghai
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 12411 None None None 2016-04-26 13:05 EDT

  None (edit)
Description Sachin Ghai 2015-11-27 01:54:53 EST
Created attachment 1099596 [details]
Some parameters value display as N/A on 'Discovery Status' screen

Description of problem:

In case of unattended pxeless discovery, I found some parameters have same "N/A" value. like:

Primary NIC: N/A
Primary IPv4: N/A

Latest server response:

We should populate the correct values with them. Please see the attached screenshot.

Version-Release number of selected component (if applicable):
satellite 6.1.5 compose2 (Satellite-6.1.0-RHEL-7-20151125.0/)

How reproducible:
always

Steps to Reproduce:
1. discover a host via unattended pxe-less discovery
2.
3.

Actual results:
Some parameters value display as N/A on 'Discovery Status' screen while performing unattended pxe-less discovery

Expected results:
We should populate the correct values with them

Additional info:
Comment 3 Bryan Kearney 2015-11-30 08:27:52 EST
Connecting redmine issue http://projects.theforeman.org/issues/12411 from this bug
Comment 5 Lukas Zapletal 2016-05-13 03:11:49 EDT
Cosmetic issue, we get to it in the future.
Comment 7 Lukas Zapletal 2017-05-24 04:42:27 EDT
Guys, this is trivial thing that does not need to be tracked here, we have an upstream issue, I am unlikely to work on that soon.

Note You need to log in before you can comment on or make changes to this bug.